# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KGuiItem Class Reference

An abstract class for GUI data such as ToolTip and Icon. More...

`#include <kguiitem.h>`

List of all members.

## Public Member Functions

| KGuiItem (const QString &text, const QString &iconName=QString::null, const QString &toolTip=QString::null, const QString &whatsThis=QString::null)
| KGuiItem (const QString &text, const QIconSet &iconSet, const QString &toolTip=QString::null, const QString &whatsThis=QString::null)
| KGuiItem (const KGuiItem &rhs)
KGuiItem & | operator= (const KGuiItem &rhs)
QString | text () const
QString | plainText () const
QIconSet | iconSet (KIcon::Group, int size=0, KInstance *instance=KGlobal::instance()) const
QIconSet | iconSet () const
QString | iconName () const
QString | toolTip () const
QString | whatsThis () const
bool | isEnabled () const
bool | hasIcon () const
bool | hasIconSet () const
void | setText (const QString &text)
void | setIconSet (const QIconSet &iconset)
void | setIconName (const QString &iconName)
void | setToolTip (const QString &tooltip)
void | setWhatsThis (const QString &whatsThis)
void | setEnabled (bool enable)

## Detailed Description

An abstract class for GUI data such as ToolTip and Icon.

Author:
  Holger Freyther <freyher@yahoo.com>

Definition at line 37 of file kguiitem.h.

The documentation for this class was generated from the following files:

- kguiitem.h
- kguiitem.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:19 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003